org.apache.http.nio.protocol

## Interface EventListener

Deprecated.
(4.2) do not use

    @Deprecated
    public interface EventListener

Event listener used by the HTTP protocol layer to report fatal exceptions and events that may need to be logged using a logging toolkit.

Since:
  4.0

### Method Summary

Methods
`void` `connectionClosed(NHttpConnection conn)` Deprecated. Triggered when a connection has been terminated.
`void` `connectionOpen(NHttpConnection conn)` Deprecated. Triggered when a new connection has been established.
`void` `connectionTimeout(NHttpConnection conn)` Deprecated. Triggered when a connection has timed out.
`void` `fatalIOException(IOException ex, NHttpConnection conn)` Deprecated. Triggered when an I/O error caused a connection to be terminated.
`void` `fatalProtocolException(HttpException ex, NHttpConnection conn)` Deprecated. Triggered when an HTTP protocol error caused a connection to be terminated.

### Method Detail

#### fatalIOException

    void fatalIOException(IOException ex,
                        NHttpConnection conn)

Deprecated.
Triggered when an I/O error caused a connection to be terminated.

Parameters:
  `ex` - the I/O exception.
  `conn` - the connection.

#### fatalProtocolException

    void fatalProtocolException(HttpException ex,
                              NHttpConnection conn)

Deprecated.
Triggered when an HTTP protocol error caused a connection to be terminated.

Parameters:
  `ex` - the protocol exception.
  `conn` - the connection.

#### connectionOpen

    void connectionOpen(NHttpConnection conn)

Deprecated.
Triggered when a new connection has been established.

Parameters:
  `conn` - the connection.

#### connectionClosed

    void connectionClosed(NHttpConnection conn)

Deprecated.
Triggered when a connection has been terminated.

Parameters:
  `conn` - the connection.

#### connectionTimeout

    void connectionTimeout(NHttpConnection conn)

Deprecated.
Triggered when a connection has timed out.

Parameters:
  `conn` - the connection.